Page MenuHomePhabricator | MITK

Use Qt's windeployqt.exe to deploy Qt instead of our current install rules
Closed, WontfixPublic

Description

Surprisingly, Qt has its own deploy tool for Windows located in the respective bin folder. As it is complete in contrast to our Qt install rules, we should use this tool instead.

Event Timeline

kislinsk edited projects, added MITK; removed MITK (2016-11).Feb 6 2017, 11:23 AM

Slightly off topic we might want to support the qt installation framework via
https://cmake.org/cmake/help/v3.7/module/CPackIFW.html

goch added a comment.EditedOct 5 2017, 5:28 PM

Pushed new branch T22118-create-Qt-installer.

This branch is a test for the Qt installer framework. Please note, that it requires you to manually edit the version (as mentioned in the commit message) from 2016.11.99_hash to 2016.11.99 as the installer framework seems to be unable to handle non number versions.

Furthermore It works for me (Windows) only up to a

_CPack_Packages\win64\IFW\MITK-2016.11.99_r1a7ac5-win64\packages\MITK\data

directory size of roughly 350 MB. Below works without a hitch, above results in

Caught exception: Cannot create archive "TEMPDIR\binarycreator-l9Mfi9\MITK\2016.11.99bin.7z": not enough memory

The following windeplyqt call seems to work on our globbed installer binary after deleting most/all of the Qt stuff

windeployqt.exe --plugindir bin\plugins -opengl bin\MitkWorkbench.exe bin\plugins

without the -opengl flag it fails to copy Qt5OpenGL.dll, with only MitkWorkbench it only copies Qt5Core.dll. However it also copies quite a bit of stuff we do not currently seem to need, taken the installer directory size from (without the redistributable it also copies) 357 MB to 383 MB.

neher added a subscriber: neher.Jan 25 2018, 2:17 PM
goch removed goch as the assignee of this task.Apr 19 2018, 2:44 PM
goch added a subscriber: goch.
kislinsk closed this task as Wontfix.Jun 25 2018, 10:58 AM
kislinsk claimed this task.